Subject: [MMUSIC] RE: DSCP setting/resetting in SIP vs. SDP

From: "Francois Audet" <[email-masked]>
Date: Wed, 1 Nov 2006 19:26:36 -0600

Dan, 

It it not completely crazy, and could potentially be refined.

James, to respond to some of your other email after the dust has
settled:

- The B2BUA stuff seems to be a red herring, and we should just assume
there is none.

- Yes, I do understand that you need adjusting in real-time (per call,
maybe even 
  within a call), and per media streams.

- What I really object to is the idea that the DSCP codepoint itself be
negotiated in
  SDP, because there values are not necessarily common accross different
network.

- An indirect indication is therefore preferable. Dan proposed a very
crude one. That
  could work. Another one I had in mind was based on precedence level (I
tough this
  was what you wanted, but I might have been wrong).

- Some other notes: people need to be careful with this. It could result
in unwanted
  consequences if not used properly. For example, paying for "premium"
transport when
  you don't really want to, or downgrading to "el cheapo" transport when
you don't 
  really want to.

Let's talk in San Diego.

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]] 
> Sent: Tuesday, October 31, 2006 3:38 PM
> To: 'James M. Polk'; 'John Rosenberg'; 'Jonathan Rosenberg'
> Cc: Audet, Francois (SC100:3055); [email-masked]
> Subject: RE: DSCP setting/resetting in SIP vs. SDP
> 
> > >If you really want to enable such communication without a B2BUA, 
> > >tacking on a new SIP header seems better than messing with the SDP.
> > 
> > How will SIP change the DSCP of a Video stream and not 
> change the DSCP 
> > of the audio stream within the same Call-ID?
> 
> Here is a crazy straw-man idea:
> 
>   Media-priority: audio=high; video=low
> 
> And each endpoint is provisioned to know which DSCP value its 
> supposed to use for 'high' or 'low'.
> 
> 
> Gross?  Yes.  Worse than mandating diddling with SDP in a 
> B2BUA?  Maybe so.
> 
> -d
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic